'use strict';

pandora.getItemTitle = function(itemData, includeYear) {
    return (itemData.title || Ox._('Untitled')) + (
        Ox.len(itemData.author) || (includeYear && itemData.year)
        ? ' (' + (
            Ox.len(itemData.author)
            ? itemData.author
            : [Ox._('Unknown Author')]
        ).join(', ') + ')'
        : ''
    ) + (includeYear && itemData.year ? ' ' + itemData.year : '')
};
